Subject: [netmod] I-D Action: draft-ietf-netmod-yang-module-versioning-03.txt

From: [email-masked]
Date: Mon, 12 Jul 2021 11:06:15 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Modeling WG of the IETF.

        Title           : Updated YANG Module Revision Handling
        Authors         : Robert Wilton
                          Reshad Rahman
                          Balazs Lengyel
                          Joe Clarke
                          Jason Sterne
	Filename        : draft-ietf-netmod-yang-module-versioning-03.txt
	Pages           : 40
	Date            : 2021-07-12

Abstract:
   This document specifies a new YANG module update procedure that can
   document when non-backwards-compatible changes have occurred during
   the evolution of a YANG module.  It extends the YANG import statement
   with an earliest revision filter to better represent inter-module
   dependencies.  It provides help and guidelines for managing the
   lifecycle of YANG modules and individual schema nodes.  It provides a
   mechanism, via the revision-label YANG extension, to specify a
   revision identifier for YANG modules and submodules.  This document
   updates RFC 7950, RFC 8407 and RFC 8525.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-module-versioning/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-netmod-yang-module-versioning-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-netmod-yang-module-versioning-03

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Reshad Rahman <[email-masked]>
Date: Mon, 12 Jul 2021 22:38:59 -0400

WG,

Here is a summary of the changes which went in since last rev:

1) BC/NBC rules for non config data (https://github.com/netmod-wg/yang-ver-dt/issues/15). We decided, based on WG feedback, that trying to (re)open BC/NBC for non-config nodes was out of scope for this document.
2) Whitespace changes in a YANG module (https://github.com/netmod-wg/yang-ver-dt/issues/8). See section 3.1.
3) BC/NBC impact of revision statements (https://github.com/netmod-wg/yang-ver-dt/issues/12). See section 3.1.1.
4) Renamed extension nbc-changes to non-backwards-compatible
5) Clarify when we can add non-backwards-compatible extension (https://github.com/netmod-wg/yang-ver-dt/issues/83). See section 7.
6) Mention submodules (instead of just modules) where appropriate: https://github.com/netmod-wg/yang-ver-dt/issues/95
7) Various editorial changes

Regards,
Reshad (on behalf of the authors/contributors).

On 2021-07-12, 2:08 PM, "[email-masked] on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Abstract:

    _______________________________________________
    netmod mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/netmod